arrangers: []
catalog: N/A
categories:
- Game
category: Game
classification: Original Soundtrack
composers:
- link: artist/57788
  names:
    en: Shnabubula
covers: []
discs:
- disc_length: '46:20'
  name: Disc 1
  tracks:
  - names:
      English: Title
    track_length: 0:25
  - names:
      English: Philadelphia Under Attack
    track_length: '3:06'
  - names:
      English: Surfing The Subway
    track_length: '3:16'
  - names:
      English: Whirlpool Battle
    track_length: '1:47'
  - names:
      English: The DOMinator
    track_length: '2:25'
  - names:
      English: Alien War Machines
    track_length: '2:53'
  - names:
      English: Extra-Terrestrial Habitat
    track_length: '3:26'
  - names:
      English: Don't Give Up
    track_length: '1:19'
  - names:
      English: The Gauntlet Begins
    track_length: '3:58'
  - names:
      English: The Hooded Figure Appears
    track_length: '5:11'
  - names:
      English: Victory
    track_length: '3:31'
  - names:
      English: Controller Config Room (Bonus Track)
    track_length: '1:48'
  - names:
      English: Character Select (Bonus Track)
    track_length: 0:58
  - names:
      English: Stage 3 Alternate (Bonus Track)
    track_length: '3:21'
  - names:
      English: Stage 2 Alternate (Bonus Track)
    track_length: '2:44'
  - names:
      English: Endboss Alternate (Bonus Track)
    track_length: '6:12'
distributor: &id001
  link: org/965
  names:
    en: Bandcamp
    ja: Bandcamp
    ja-latn: Bandcamp
  role: retailer
link: album/48834
lyricists: []
media_format: Digital
meta:
  added_date: 2014-10-26T05:53
  edited_date: 2022-05-03T07:41
  fetched_date: 2025-12-07T17:44
  freedb: 1
  ttl: 86400
  visitors: 1756
name: Continue? Philly Under Fire
names:
  en: Continue? Philly Under Fire
  ja: Continue? Philly Under Fire
  ja-latn: Continue? Philly Under Fire
notes: No notes available for this album.
organizations:
- &id002
  names:
    en: Shnabubula
    ja: Shnabubula
    ja-latn: Shnabubula
  role: publisher
- *id001
performers: []
picture_full: https://media.vgm.io/albums/43/48834/48834-1414331661.png
picture_small: https://medium-media.vgm.io/albums/43/48834/48834-1414331661.png
picture_thumb: https://thumb-media.vgm.io/albums/43/48834/48834-1414331661.png
platforms:
- PC
products:
- names:
    en: Continue? Philly Under Fire
publish_format: Commercial
publisher: *id002
related: []
release_date: '2014-03-03'
release_events: []
release_price:
  price: Name Your Price
reprints: []
stores:
- link: http://shnabubula.bandcamp.com/album/continue-philly-under-fire
  name: Bandcamp
vgmdb_link: https://vgmdb.net/album/48834?perpage=99999
votes: 0
